org.wso2.carbon.module.mgt.stub.types

## Class ModuleMetaData

- java.lang.Object
- - org.wso2.carbon.module.mgt.stub.types.ModuleMetaData

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class ModuleMetaData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  ModuleMetaData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ModuleMetaData.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localDescription` field for Description
    `protected boolean` | `localDescriptionTracker`
    `protected boolean` | `localEngagedGlobalLevel` field for EngagedGlobalLevel
    `protected boolean` | `localEngagedGlobalLevelTracker`
    `protected boolean` | `localEngagedOperationLevel` field for EngagedOperationLevel
    `protected boolean` | `localEngagedOperationLevelTracker`
    `protected boolean` | `localEngagedServiceGroupLevel` field for EngagedServiceGroupLevel
    `protected boolean` | `localEngagedServiceGroupLevelTracker`
    `protected boolean` | `localEngagedServiceLevel` field for EngagedServiceLevel
    `protected boolean` | `localEngagedServiceLevelTracker`
    `protected boolean` | `localManagedModule` field for ManagedModule
    `protected boolean` | `localManagedModuleTracker`
    `protected String` | `localModuleId` field for ModuleId
    `protected boolean` | `localModuleIdTracker`
    `protected String` | `localModulename` field for Modulename
    `protected boolean` | `localModulenameTracker`
    `protected String` | `localModuleVersion` field for ModuleVersion
    `protected boolean` | `localModuleVersionTracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleMetaData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Auto generated getter method
    `boolean` | `getEngagedGlobalLevel()` Auto generated getter method
    `boolean` | `getEngagedOperationLevel()` Auto generated getter method
    `boolean` | `getEngagedServiceGroupLevel()` Auto generated getter method
    `boolean` | `getEngagedServiceLevel()` Auto generated getter method
    `boolean` | `getManagedModule()` Auto generated getter method
    `String` | `getModuleId()` Auto generated getter method
    `String` | `getModulename()` Auto generated getter method
    `String` | `getModuleVersion()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `boolean` | `isDescriptionSpecified()`
    `boolean` | `isEngagedGlobalLevelSpecified()`
    `boolean` | `isEngagedOperationLevelSpecified()`
    `boolean` | `isEngagedServiceGroupLevelSpecified()`
    `boolean` | `isEngagedServiceLevelSpecified()`
    `boolean` | `isManagedModuleSpecified()`
    `boolean` | `isModuleIdSpecified()`
    `boolean` | `isModulenameSpecified()`
    `boolean` | `isModuleVersionSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setDescription(String param)` Auto generated setter method
    `void` | `setEngagedGlobalLevel(boolean param)` Auto generated setter method
    `void` | `setEngagedOperationLevel(boolean param)` Auto generated setter method
    `void` | `setEngagedServiceGroupLevel(boolean param)` Auto generated setter method
    `void` | `setEngagedServiceLevel(boolean param)` Auto generated setter method
    `void` | `setManagedModule(boolean param)` Auto generated setter method
    `void` | `setModuleId(String param)` Auto generated setter method
    `void` | `setModulename(String param)` Auto generated setter method
    `void` | `setModuleVersion(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localDescription

          protected String localDescription

      field for Description

    - #### localDescriptionTracker

          protected boolean localDescriptionTracker

    - #### localEngagedGlobalLevel

          protected boolean localEngagedGlobalLevel

      field for EngagedGlobalLevel

    - #### localEngagedGlobalLevelTracker

          protected boolean localEngagedGlobalLevelTracker

    - #### localEngagedOperationLevel

          protected boolean localEngagedOperationLevel

      field for EngagedOperationLevel

    - #### localEngagedOperationLevelTracker

          protected boolean localEngagedOperationLevelTracker

    - #### localEngagedServiceGroupLevel

          protected boolean localEngagedServiceGroupLevel

      field for EngagedServiceGroupLevel

    - #### localEngagedServiceGroupLevelTracker

          protected boolean localEngagedServiceGroupLevelTracker

    - #### localEngagedServiceLevel

          protected boolean localEngagedServiceLevel

      field for EngagedServiceLevel

    - #### localEngagedServiceLevelTracker

          protected boolean localEngagedServiceLevelTracker

    - #### localManagedModule

          protected boolean localManagedModule

      field for ManagedModule

    - #### localManagedModuleTracker

          protected boolean localManagedModuleTracker

    - #### localModuleId

          protected String localModuleId

      field for ModuleId

    - #### localModuleIdTracker

          protected boolean localModuleIdTracker

    - #### localModuleVersion

          protected String localModuleVersion

      field for ModuleVersion

    - #### localModuleVersionTracker

          protected boolean localModuleVersionTracker

    - #### localModulename

          protected String localModulename

      field for Modulename

    - #### localModulenameTracker

          protected boolean localModulenameTracker

  - ### Constructor Detail

    - #### ModuleMetaData

          public ModuleMetaData()

  - ### Method Detail

    - #### isDescriptionSpecified

          public boolean isDescriptionSpecified()

    - #### getDescription

          public String getDescription()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setDescription

          public void setDescription(String param)

      Auto generated setter method
      Parameters:
        `param` - Description

    - #### isEngagedGlobalLevelSpecified

          public boolean isEngagedGlobalLevelSpecified()

    - #### getEngagedGlobalLevel

          public boolean getEngagedGlobalLevel()

      Auto generated getter method
      Returns:
        boolean

    - #### setEngagedGlobalLevel

          public void setEngagedGlobalLevel(boolean param)

      Auto generated setter method
      Parameters:
        `param` - EngagedGlobalLevel

    - #### isEngagedOperationLevelSpecified

          public boolean isEngagedOperationLevelSpecified()

    - #### getEngagedOperationLevel

          public boolean getEngagedOperationLevel()

      Auto generated getter method
      Returns:
        boolean

    - #### setEngagedOperationLevel

          public void setEngagedOperationLevel(boolean param)

      Auto generated setter method
      Parameters:
        `param` - EngagedOperationLevel

    - #### isEngagedServiceGroupLevelSpecified

          public boolean isEngagedServiceGroupLevelSpecified()

    - #### getEngagedServiceGroupLevel

          public boolean getEngagedServiceGroupLevel()

      Auto generated getter method
      Returns:
        boolean

    - #### setEngagedServiceGroupLevel

          public void setEngagedServiceGroupLevel(boolean param)

      Auto generated setter method
      Parameters:
        `param` - EngagedServiceGroupLevel

    - #### isEngagedServiceLevelSpecified

          public boolean isEngagedServiceLevelSpecified()

    - #### getEngagedServiceLevel

          public boolean getEngagedServiceLevel()

      Auto generated getter method
      Returns:
        boolean

    - #### setEngagedServiceLevel

          public void setEngagedServiceLevel(boolean param)

      Auto generated setter method
      Parameters:
        `param` - EngagedServiceLevel

    - #### isManagedModuleSpecified

          public boolean isManagedModuleSpecified()

    - #### getManagedModule

          public boolean getManagedModule()

      Auto generated getter method
      Returns:
        boolean

    - #### setManagedModule

          public void setManagedModule(boolean param)

      Auto generated setter method
      Parameters:
        `param` - ManagedModule

    - #### isModuleIdSpecified

          public boolean isModuleIdSpecified()

    - #### getModuleId

          public String getModuleId()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setModuleId

          public void setModuleId(String param)

      Auto generated setter method
      Parameters:
        `param` - ModuleId

    - #### isModuleVersionSpecified

          public boolean isModuleVersionSpecified()

    - #### getModuleVersion

          public String getModuleVersion()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setModuleVersion

          public void setModuleVersion(String param)

      Auto generated setter method
      Parameters:
        `param` - ModuleVersion

    - #### isModulenameSpecified

          public boolean isModulenameSpecified()

    - #### getModulename

          public String getModulename()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setModulename

          public void setModulename(String param)

      Auto generated setter method
      Parameters:
        `param` - Modulename

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.